Bug 1122181 - [Build 20190115] openQA test fails in user_settings - warning with password complexity does not appear
[Build 20190115] openQA test fails in user_settings - warning with password c...
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
Jiri Srain
https://openqa.opensuse.org/tests/832...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-16 12:10 UTC by Joaquín Rivera
Modified: 2020-09-30 06:09 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joaquín Rivera 2019-01-16 12:10:21 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-KDE-Live-x86_64-kde-live_installation@64bit fails in
[user_settings](https://openqa.opensuse.org/tests/832495/modules/user_settings/steps/2)

## Test suite description



## Reproducible

Fails since (at least) Build [20181231](https://openqa.opensuse.org/tests/823083)


## Expected result

Last good: [20181224](https://openqa.opensuse.org/tests/821149) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?flavor=KDE-Live&arch=x86_64&distri=opensuse&test=kde-live_installation&machine=64bit&version=Tumbleweed)
Detected some changes regarding complexity of the password because comparing with other builds we are typing exactly the same (I also checked locally in my environment) Rest of the warning still there.
Comment 1 Fabian Vogt 2019-01-16 12:35:43 UTC
Caused by "Use absolute paths and prevent shell injection" in yast-yast2.

live-net-installer installs it as /usr/sbin/extend, but yast uses /bin/extend.

I moved the file, should work fine now.
Comment 2 Swamp Workflow Management 2019-01-16 13:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1122181) was mentioned in
https://build.opensuse.org/request/show/666472 Factory / live-net-installer
Comment 3 Joaquín Rivera 2020-09-30 06:09:53 UTC
Fixed. Thanks.